<eui-page>
  <eui-page-content class="eui-u-flex">
    <eui-breadcrumb id="eui-breadcrumb">
      <eui-breadcrumb-item link="/screen/eliSearch" label="{{ 'elis.search.title' | translate }}"></eui-breadcrumb-item>
      <eui-breadcrumb-item
        link="/screen/eliMetadata"
        label="{{ 'elis.metadata.title' | translate }}"
      ></eui-breadcrumb-item>
    </eui-breadcrumb>
    <div class="ecl-container">
      <h1>{{ 'elis.metadata.title' | translate }}</h1>
      <p [innerHTML]="'elis.metadata.description' | translate"></p>

      <ng-container *ngFor="let country of this.featuresByCountry">
        <h2>
          <span [class]="'eui-u-mr-xs eui-flag-icon eui-flag-icon-' + getCountryISO2(country.country)"></span
          >{{ country.country }} - {{ 'elis.country.' + country.country | translate }}
        </h2>
        <ng-container *ngFor="let feature of country.features">
          <elis-expandable-section [title]="'elis.metadata.feature.' + feature.name | translate" [expandable]="false">
            <eui-chip-list class="eui-u-mt-xs eui-u-mb-l" *ngIf="feature.metadata.length > 0">
              <eui-chip *ngFor="let metadata of feature.metadata">
                <span euiLabel>{{ metadata }}</span>
              </eui-chip>
            </eui-chip-list>
            <div class="eui-u-mb-l" *ngIf="feature.metadata.length === 0">
              {{ 'elis.metadata.feature.notAvailable' | translate }}
            </div>
          </elis-expandable-section>
        </ng-container>
        <elis-expandable-section [title]="'elis.metadata.notUsed' | translate" [isExpanded]="false">
          <eui-chip-list class="eui-u-mt-xs eui-u-mb-2xl" *ngIf="country.available.length > 0">
            <eui-chip *ngFor="let metadata of country.available">
              <span euiLabel>{{ metadata }}</span>
            </eui-chip>
          </eui-chip-list>
        </elis-expandable-section>
        <span class="eui-u-mb-l" *ngIf="country.available.length === 0">{{
          'elis.metadata.feature.notAvailable' | translate
        }}</span>
      </ng-container>

      <ng-container *ngIf="!this.configurationService.getMetadataConfig()">
        <div class="elis-messages">
          <div class="ecl-u-d-flex ecl-u-align-items-center">
            <img alt="error icon" class="elis-error-icon" src="/assets/images/Warning_icon.png" />
            <strong>{{ 'elis.metadata.noMetadataFound' | translate }}</strong>
          </div>
        </div>
      </ng-container>
    </div>
  </eui-page-content>
</eui-page>
